%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Setup file for vehicle_animation_sim.slx which is a simple 2D steering  %
% vehicle model and animation. See Readme.mdc.txt for more.               %
% This file should always be run before the simulation.                   %
%                                                                         %
% Tzu-Chi Lin                                                             %
% created : 30 July 2011                                                  %
% modified: 22 July 2016                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% clear; clear all ; clear functions;

clc;clear;close all


% bring up the simulink model

Four_Wheels_Vehicle

%=========================================================================%
% Function: Parameters of Full Vehicle Model and Road Condition           %  
%=========================================================================%

%%%%================== Full Vehicle Model Parameters ==================%%%%

m       = 1500;     %% Mass of the vehicle
g       = 9.81;     %% Gravitational acceleration
Iz      = 2480;     %% Yaw moment of inertia
Lw      = 1.880;    %% Distance between left and right wheels track length
reff    = 0.380;    %% Effective radius of the tire
Jw      = 2.166;    %% Wheel inertia
Lf      = 1.180;    %% Distance of front axle from center of gravity 
Lr      = 1.770;    %% Distance of rear axle from center of gravity 
beta    = 1;        %% Vehicle sideslip angle
H_CoG   = 0.700;    %% Height of center of gravity
Hearo   = 0.750;    %% Height of the aerodynamic resistance
L       = 10;       %% Vehicle length
J       = 1;        %% wheel moment 

%%%%==================== Road Condition Parameters ====================%%%%

miu     = 0.85;     %% Tire road friction coefficient

%%%%============================== End ================================%%%%


